LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Linux From Scratch
User Name
Password
Linux From Scratch This Forum is for the discussion of LFS.
LFS is a project that provides you with the steps necessary to build your own custom Linux system.

Notices


Reply
  Search this Thread
Old 03-23-2007, 09:38 AM   #1
Seph64
Member
 
Registered: Feb 2003
Distribution: Gentoo, FreeBSD, LFS
Posts: 298
Blog Entries: 21

Rep: Reputation: 30
Updating to d-bus 0.92 or higher = no libdbus-glib


Yesterday, I tried to upgrade my LFS setup to include Gnome-2.18. but I have to upgrade D-bus to version 0.92 or higher (along with the libdbus-glib library).

Well I have glib-2.12.11 installed, so I thought dbus would go ahead, and detect it and build itself with the required library.

The only thing I can think of is that it means glibc instead of glib, which I have version 2.3.6 built.

Thanks in advance, hopefully any suggestions will be helpful.
 
Old 03-23-2007, 10:05 AM   #2
weibullguy
ReliaFree Maintainer
 
Registered: Aug 2004
Location: Kalamazoo, Michigan
Distribution: Slackware 14.2
Posts: 2,815
Blog Entries: 1

Rep: Reputation: 261Reputation: 261Reputation: 261
D-Bus is the core library (currently at 1.0.2). You then have to install the glib bindings which are in a package called dbus-glib.

http://cblfs.cross-lfs.org/index.php/D-BUS
 
Old 03-23-2007, 10:08 AM   #3
Seph64
Member
 
Registered: Feb 2003
Distribution: Gentoo, FreeBSD, LFS
Posts: 298

Original Poster
Blog Entries: 21

Rep: Reputation: 30
oh i see, thank you for your speedy reply.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Gaim 2.0.0. beta 4: libdbus-glib error victorhooi Slackware 2 11-01-2006 09:09 AM
help with updating glib and gtk mrford Linux - Software 0 09-13-2004 06:33 PM
Updating gLib and GTK Darksun Linux - Software 1 04-24-2004 04:49 PM
updating glib toships Linux - Newbie 4 02-28-2004 06:51 PM
Updating glib slurride Slackware 1 02-22-2003 11:28 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Linux From Scratch

All times are GMT -5. The time now is 05:44 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration